## com.google.appengine.api.taskqueue.dev
Class DevPullQueue

    java.lang.Object
      com.google.appengine.api.taskqueue.dev.DevPullQueue

    public class DevPullQueue

extends java.lang.Object

Dev server implementation of pull queue.

Field Summary
`protected static java.util.logging.Logger` `logger`
`protected Entry` `queueXmlEntry`
`protected java.util.concurrent.atomic.AtomicInteger` `taskNameGenerator`

Method Summary
`protected java.lang.String` `getQueueName()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### logger

    protected static final java.util.logging.Logger logger

### queueXmlEntry

    protected final Entry queueXmlEntry

### taskNameGenerator

    protected final java.util.concurrent.atomic.AtomicInteger taskNameGenerator

Method Detail

### getQueueName

    protected java.lang.String getQueueName()